%bcond_with bootstrap
%global gem_name thor
Name:                rubygem-%{gem_name}
Version:             0.20.3
Release:             2
Summary:             Thor is a toolkit for building powerful command-line interfaces
License:             MIT
URL:                 http://whatisthor.com/
Source0:             https://rubygems.org/gems/thor-%{version}.gem
Source1:             https://github.com/erikhuda/thor/archive/v%{version}.tar.gz
Requires:            rubygem(io-console)
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(io-console) rubygem(rspec)
BuildRequires:       rubygem(webmock) git
BuildArch:           noarch
%description
Thor is a toolkit for building powerful command-line interfaces.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
find %{buildroot}%{gem_instdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%if %{with bootstrap}
%check
pushd .%{gem_instdir}
tar xzvf %{SOURCE1}
cd %{gem_name}-%{version}
sed -i '/simplecov/,/end/ s/^/#/' spec/helper.rb
LC_ALL=C.UTF-8 rspec spec
popd
%endif

%files
%dir %{gem_instdir}
%{_bindir}/thor
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_instdir}/.document
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/thor.gemspec

%changelog
* Sat Sep 5 2020 liyanan <liyanan32@huawei.com> - 0.20.3-2
- fix build fail

* Mon Aug 10 2020 yanan li <liyanan032@huawei.com> - 0.20.3-1
- Package init
